curl --request POST \
--url https://api.caret.so/v1/folders \
--header 'Authorization: Bearer <your_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"name": "Project Alpha",
"ownerUserId": "usr_123456789",
"icon": "📁",
"color": "#4A90E2",
"isPrivate": false
}'
{
"folder": {
"id": "fld_123456789",
"name": "Project Alpha",
"icon": "📁",
"parentFolderId": null,
"createdAt": "2024-01-28T12:00:00Z"
}
}
폴더
폴더 생성
워크스페이스에 새 폴더를 생성합니다
POST
/
v1
/
folders
curl --request POST \
--url https://api.caret.so/v1/folders \
--header 'Authorization: Bearer <your_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"name": "Project Alpha",
"ownerUserId": "usr_123456789",
"icon": "📁",
"color": "#4A90E2",
"isPrivate": false
}'
{
"folder": {
"id": "fld_123456789",
"name": "Project Alpha",
"icon": "📁",
"parentFolderId": null,
"createdAt": "2024-01-28T12:00:00Z"
}
}
Body
폴더 이름
폴더 소유자의 사용자 ID
폴더 아이콘
폴더 색상
폴더가 비공개인지 여부
상위 폴더 ID
응답
curl --request POST \
--url https://api.caret.so/v1/folders \
--header 'Authorization: Bearer <your_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"name": "Project Alpha",
"ownerUserId": "usr_123456789",
"icon": "📁",
"color": "#4A90E2",
"isPrivate": false
}'
{
"folder": {
"id": "fld_123456789",
"name": "Project Alpha",
"icon": "📁",
"parentFolderId": null,
"createdAt": "2024-01-28T12:00:00Z"
}
}
⌘I